Bug 214091 (scummvm-bass-CD) - Review Request: beneath-a-steel-sky-cd - Beneath a Steel Sky - Adventure Game - CD version
Summary: Review Request: beneath-a-steel-sky-cd - Beneath a Steel Sky - Adventure Game...
Status: CLOSED NEXTRELEASE
Alias: scummvm-bass-CD
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: scummvm
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-05 17:15 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 08:47:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2006-11-05 17:15:36 UTC
Spec URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky-cd.spec
SRPM URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky-cd-0.0372-1.src.rpm
Description:
After the Dungeons and Dragons fantasy setting of Revolution's first game, Lure
of the Temptress, Revolution decided to go down a completely different avenue
with its second adventure game, Beneath a Steel Sky, that of Science Fiction.
A bleak vision of the future was imagined, where mind control and medical
science combined forces to repress the populace. Leading comic artist, Dave
Gibbons, joined the design team to visualise this desperate landscape. The
result is the cult classic Beneath a Steel Sky.

This package contains the CD version, which contains additional / longer
cutscenes and voice acting, but also is much larger: 70 MB where as the also
available floppy version (package name beneath-a-steel-sky) is only 8 MB.

---

Note that this package requires scummvm, whose review request is here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214055

I'll also submitted the floppy version for review as bug 214057

Comment 1 Christopher Stone 2006-11-09 22:58:27 UTC
==== REVIEW CHECKLIST ====
- rpmlint output
W: beneath-a-steel-sky-cd no-%build-section

okay, but no harm in enabling %build either
- spec file named according to package naming guidelines (but a provides bass-cd
would make it easier to install)
- spec filename matches %{name}
- package meets packaging guidelines
- licensed as distributable, see
https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00030.html
- License file included in %doc
- spec written in American english
- spec file is legible
- sources match upstream
1d4401cd663715332abe8bb5431e356d  bass-cd-1.2.zip
- package successfully compiles and builds on FC5 X86_64
- all dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package has proper %clean section
- macro usage is consistent
- package contains permissible content
- no large documentation
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- package contains proper .desktop file
- package does not own files or directories owned by other packages

APPROVED

==== SHOULD ====
- uncomment %build to make rpmlint happy
- add Provides: bass-cd for easier commandline installs
- add comment above license pointing to distribution discussions on f-e-l


Comment 2 Hans de Goede 2006-11-10 08:47:48 UTC
(In reply to comment #1)
> ==== SHOULD ====
> - uncomment %build to make rpmlint happy
Done

> - add Provides: bass-cd for easier commandline installs
Not done, I deliberately choose the long name as bass is a much to generic name,
giving no information about the package contents and leading to potential
namespace conflicts.

> - add comment above license pointing to distribution discussions on f-e-l

Done.

Imported and build. Thanks for the review!




Note You need to log in before you can comment on or make changes to this bug.